Bug 807629 - Enable/Disable options are available for Platforms
Enable/Disable options are available for Platforms
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
unspecified
x86_64 Linux
high Severity high (vote)
: ---
: RHQ 4.4.0
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: jon310-sprint11/rhq44-sprint11
  Show dependency treegraph
 
Reported: 2012-03-28 07:29 EDT by Jeeva Kandasamy
Modified: 2013-08-31 06:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:08:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Enable/Disable (272.57 KB, image/jpeg)
2012-03-28 07:29 EDT, Jeeva Kandasamy
no flags Details

  None (edit)
Description Jeeva Kandasamy 2012-03-28 07:29:15 EDT
Created attachment 573315 [details]
Enable/Disable

Description of problem:
Enable/Disable options are available for Platforms. I tried to disable a platform by GUI and got a info message saying "You have successfully disabled the selected resources and their children, [0] resources." and disabled nothing.

On RHQ server LOG:
2012-03-28 16:44:59,173 INFO  [org.rhq.enterprise.server.resource.ResourceManagerBean] Disabling a platform is not allowed, skipping platform resource with id [10001]



Version-Release number of selected component (if applicable):
Version: 4.4.0-SNAPSHOT
Build Number: 4600e41
GWT Version: 2.4.0
SmartGWT Version: 3.0

How reproducible:
100%

Steps to Reproduce:
1.Login to RHQ GUI
2.Navigate to Inventory--> Platforms
3.Click any platform and click 'Disable' button
  
Actual results:
Enable/Disable buttons are available for Platforms.

Expected results:
Enable/Disable is not allowed for platforms, hence 'Enable/Disable' buttons not required for Platforms

Additional info: Screen shot is attached.
Comment 1 Jay Shaughnessy 2012-04-02 18:10:10 EDT
master commit 65716f1a20eb07b2615ed6424a7d5268bd0d9308

dded more button enablement logic to handle prevent platform enable/disable.
Comment 2 Sunil Kondkar 2012-04-09 07:48:53 EDT
Verified on Version: 4.4.0-SNAPSHOT Build Number: 233eac6

Selected a platform in Inventory--> Platforms and verified that the buttons Disable/Enable are now greyed out.
Comment 3 Heiko W. Rupp 2013-08-31 06:08:36 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.